## libgcc1 4.6.2+cssu3

=== Makefile ===
SRC = ./
DESTDIR =
LIBDIR = $(DESTDIR)/lib

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)

INSTALL_LIBS = libgcc_s.so.1

all:

install:
	$(INSTALL_PROGRAM) -d $(LIBDIR)
	$(INSTALL_PROGRAM) -m644 $(INSTALL_LIBS) $(LIBDIR)

clean:
	$(RM) *~

=== debian/changelog ===
libgcc1 (1:4.6.2+cssu3) unstable; urgency=low

  * Initial release 

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 19 Jul 2012 12:22:54 -0400

=== debian/control ===
Source: libgcc1
Priority: required
Maintainer: Ivaylo Dimitrov <freemangordon@abv.bg>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libgcc1
Section: libs
Architecture: any
Replaces: libgcc1
Conflicts: libgcc1
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean -plibgcc1

install: build
	dh_testdir
	dh_testroot
	dh_clean -k -plibgcc1
	dh_installdirs

	# Add here commands to install the package into debian/libgcc1.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libgcc1


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
